io.vertx.ext.auth.jdbc

## Interface JDBCAuthentication

- All Superinterfaces:
    AuthenticationProvider

      public interface JDBCAuthentication
      extends AuthenticationProvider

  Factory interface for creating `AuthenticationProvider` instances that use the Vert.x JDBC client. By default the hashing strategy is SHA-512. If you're already running in production this is backwards compatible, however for new deployments or security upgrades it is recommended to use the PBKDF2 strategy as it is the current OWASP recommendation for password storage.
  Author:
    Tim Fox

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JDBCAuthentication` | `create(JDBCClient client, JDBCAuthenticationOptions options)` Create a JDBC auth provider implementation
    `static JDBCAuthentication` | `create(JDBCClient client, JDBCHashStrategy hashStrategy, JDBCAuthenticationOptions options)` Deprecated. This factory is only for backwards compatibility
    `String` | `hash(String id, Map<String,String> params, String salt, String password)` Hashes a password to be stored.
    `default String` | `hash(String id, String salt, String password)` Hashes a password to be stored.

    - ### Methods inherited from interface io.vertx.ext.auth.authentication.AuthenticationProvider

      `authenticate, authenticate, authenticate, authenticate`

- - ### Method Detail

    - #### create

          @Deprecated
          static JDBCAuthentication create(JDBCClient client,
                                                       JDBCHashStrategy hashStrategy,
                                                       JDBCAuthenticationOptions options)

      Deprecated. This factory is only for backwards compatibility
      Create a JDBC auth provider implementation
      Parameters:
        `client` - the JDBC client instance
        `options` - authentication options
        `hashStrategy` - legacy hashing strategy
      Returns:
        the auth provider

    - #### create

          static JDBCAuthentication create(JDBCClient client,
                                           JDBCAuthenticationOptions options)

      Create a JDBC auth provider implementation
      Parameters:
        `client` - the JDBC client instance
        `options` - authentication options
      Returns:
        the auth provider

    - #### hash

          String hash(String id,
                      Map<String,String> params,
                      String salt,
                      String password)

      Hashes a password to be stored. See: `HashingStrategy.hash(String, Map, String, String)`

    - #### hash

          default String hash(String id,
                              String salt,
                              String password)

      Hashes a password to be stored. See: `HashingStrategy.hash(String, Map, String, String)`

Copyright © 2020 Eclipse. All rights reserved.